Uploaded image for project: 'PuppetDB'
  1. PuppetDB
  2. PDB-2625

Update to raynes.fs 1.4.6

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: PDB 4.1.0
    • Component/s: None
    • Labels:
      None
    • Template:
    • Story Points:
      2

      Description

      In order to run with other projects in a single jvm (a la the aio), PuppetDB needs to move from raynes.fs 1.4.5 to 1.4.6. Other projects use 1.4.6, which through pedantic mode prevents using 1.4.5.

      However, fs 1.4.6 is backward incompatible with 1.4.5 in a couple of important ways. Specifically, it removes absolute-path and normalized-path. Those functions have thus been moved to kitchensink 1.3.0. Since trapperkeeper 1.2.0 (currently used by PuppetDB) itself was also using some of those functions, it also needs to be updated to at least 1.3.0. Doing so, however, will bring in support for HUP reloads; it's not clear whether PuppetDB is currently reading for that functionality or whether bringing it in early is harmful.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              Unassigned
              Reporter:
              nick Nick Lewis
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Zendesk Support